<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <artifactId>pqs-common</artifactId>
        <groupId>com.njcn</groupId>
        <version>1.0.0</version>
    </parent>

    <artifactId>common-oss</artifactId>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    </properties>
    <description>
        文件服务器处理模块
    </description>
    <dependencies>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>huawei-obs-springboot-starter</artifactId>
            <version>1.0.0</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.logging.log4j</groupId>
                    <artifactId>log4j-core</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>org.apache.logging.log4j</groupId>
                    <artifactId>log4j-api</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>common-web</artifactId>
            <version>1.0.0</version>
        </dependency>

        <dependency>
            <groupId>com.njcn</groupId>
            <artifactId>minioss-springboot-starter</artifactId>
            <version>1.0.0</version>
        </dependency>
    </dependencies>

</project>